﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2002C: (1 year) VER VISA /9500+1Hd
DATE:                  2010-12-18 22:35:58
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       212
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2002C
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  26 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         60MH                         1Vpp           LS    S
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.017  VISA         *RST

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query VISA
  1.020  MATH         @UUT_Model = "TDS 2002C"
  1.021  MATH         @UUT_Manufacturer = "Tektronix"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub Tek TDS1000B/2000B Specifications

  1.025  MATH         @NumHeads = 1
  1.026  CALL         Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500
  1.027  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    5.   BANDWIDTH(CH1)                     EDGE-TRIGGER SENSITIVITY(CH1)
#    6.   BANDWIDTH(CH2)                     VERTICAL POSITION ACC(CH1)
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      SAMPLE RATE AND DELAY TIME ACC
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      DCV MEASUREMENT ACC(CH2)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  BANDWIDTH(CH2)
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EDGE-TRIGGER SENSITIVITY(CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     VERTICAL POSITION ACC(CH2)
#   12.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.028  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.029  JMPL         END                          @Abort
  1.030  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.031  JMPL         END                          @Abort

  1.032  MATH         @Chan = 1
  1.033  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500
  1.034  JMPL         BANDWIDTH_CH1

  1.035  LABEL        DCV_CH2
  1.036  MATH         @Chan = 2
  1.037  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500
  1.038  JMPL         BANDWIDTH_CH2

  1.039  LABEL        BANDWIDTH_CH1
  1.040  MATH         @Chan = 1
  1.041  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500
  1.042  JMPL         TRIG_CH1

  1.043  LABEL        BANDWIDTH_CH2
  1.044  MATH         @Chan = 2
  1.045  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500
  1.046  JMPL         TRIG_CH2

  1.047  LABEL        TRIG_CH1
  1.048  MATH         @Chan = 1
  1.049  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500
  1.050  JMPL         VERTICAL_POSITION_CH1

  1.051  LABEL        TRIG_CH2
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500
  1.054  JMPL         VERTICAL_POSITION_CH2

  1.055  LABEL        EXT_TRIG
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd

  1.058  MATH         @Chan = 2
  1.059  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.060  JMPL         END

  1.061  LABEL        SAMPLE_RATE_DELAY_TIME
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
  1.064  JMPL         DCV_CH2

  1.065  LABEL        VERTICAL_POSITION_CH1
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
  1.068  JMPL         SAMPLE_RATE_DELAY_TIME

  1.069  LABEL        VERTICAL_POSITION_CH2
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
  1.072  JMPL         EXT_TRIG

  1.073  LABEL        END

  1.074  IF           @Abort
  1.075  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.076  ELSE
  1.077  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.078  ENDIF

  1.079  VISA         *RST
  1.080  END
